Subject: Re: bug#42653: 28.0.50; scroll-margin is sometimes ignored with hl-line/display-line-numbers-mode

From: Kevin Liu <[email-masked]>
Date: Sun, 02 Aug 2020 20:18:20 -0700

On  2 August 2020 19:28, Eli Zaretskii <[email-masked]> wrote:

> Please show a test case for each of these two, as I don't think I've
> seen them in my testing.

My original test case should demonstrate this as well, as the buffer
should be scrolled beyond EOB.  Then (previous-line) up until EOB is
back out of view, then scroll back down and the problem should be
visible.  I also recorded a video for illustration in case this is one
of those only-on-my-machine cases (which it might be, as I built off a
merged native-comp branch): https://www.youtube.com/watch?v=EKrbrVGbEZw

(progn
  (global-hl-line-mode)
  (setq scroll-margin 5)
  (setq scroll-conservatively 101)
  (view-hello-file)
  (end-of-buffer))